function env=environment(varargin)
% FUNCTION env=fc_siplt.environment()
%   Retrieves the toolbox/package environment directories.
%
% <COPYRIGHT>

  [conffile,isFileExists]=fc_siplt.getLocalConfFile();
  if ~isFileExists
    fprintf('Try to use default parameters!\n Use fc_siplt.configure to configure.')
    fc_siplt.configure();
  end
  run(conffile);
  env.fc_simesh_dir=fc_simesh_dir; % fc-simesh toolbox/package path
  env.fc_graphics4mesh_dir=fc_graphics4mesh_dir; % fc-graphics4mesh toolbox/package path
  fullname=mfilename('fullpath');
  I=strfind(fullname,filesep);
  Path=fullname(1:(I(end-1)-1));
  env.Path=Path; % current toolbox path
end
